#ifndef _TEST_APP
#define _TEST_APP

// uncomment this for OF 007 compatibility
//#define OFX_OPENNI_BETA

#include "ofMain.h"
#include "ofxOpenNI.h"

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		ofxOpenNIContext context;
		ofxDepthGenerator depth;
		ofxUserGenerator user;
		ofxImageGenerator image;
	
	// ROGER
	int userId;				// tracked user index >= 0
	ofPoint leftHand, rightHand;
	ofPoint activeHand, inactiveHand;
	ofColor leftHandColor, rightHandColor;
	CGPoint mousePoint;
	bool bHijackMouse;

	
};

#endif
